attribute vec4 a_position;
attribute vec2 a_texCoord;
uniform vec2 u_uvSize;
uniform vec2 u_offsets[9];
varying vec2 v_texCoord;
varying vec2 v_offsets[9];

void main()
{
    gl_Position = a_position;
    v_texCoord = a_texCoord * u_uvSize;
    
    for (int i = 0; i < 9; i++) {
        v_offsets[i] = v_texCoord + u_offsets[i];
    }
}
